Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openorb.iiop
Class SocketQueue

    java.lang.Object
      |
      +--org.openorb.iiop.SocketQueue

public final class SocketQueue
extends java.lang.Object

Version:
  $Revision: 1.23 $ $Date: 2002/07/14 19:05:40 $
Author:
  Chris Wood

Field Summary
`static int` | `MAX_FRAG_SIZE`

Method Summary
`void` | `close()`
`boolean` | `isOpen()`
`void` | `open()`
`boolean` | `receive(int timeout)`
`boolean` | `send(StorageBuffer buffer, java.lang.Object assoc)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### MAX_FRAG_SIZE

    public static final int MAX_FRAG_SIZE

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### isOpen

    public boolean isOpen()

### open

    public void open()

### close

    public void close()

### send

    public boolean send(StorageBuffer buffer,
                        java.lang.Object assoc)

### receive

    public boolean receive(int timeout)

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD